Bug 211814 - x11-wm/fluxbox: Modernize port
Summary: x11-wm/fluxbox: Modernize port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Helfman
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-13 17:18 UTC by lightside
Modified: 2016-09-09 18:26 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jgh)


Attachments
Proposed patch (since 412351 revision) (19.06 KB, patch)
2016-08-13 17:18 UTC, lightside
no flags Details | Diff
The x11-wm/fluxbox-devel port in archive (2.32 KB, application/x-bzip2)
2016-08-13 17:21 UTC, lightside
no flags Details
Proposed patch (since 412351 revision) (19.92 KB, patch)
2016-08-14 11:17 UTC, lightside
no flags Details | Diff
The x11-wm/fluxbox-devel port in archive (2.39 KB, application/x-bzip2)
2016-08-14 11:21 UTC, lightside
no flags Details
Proposed patch (since 412351 revision) (19.87 KB, patch)
2016-08-14 22:14 UTC, lightside
no flags Details | Diff
The x11-wm/fluxbox-devel port in shar archive (5.82 KB, text/plain)
2016-08-14 22:33 UTC, lightside
no flags Details
The x11-wm/fluxbox-devel port in shar archive (5.81 KB, text/plain)
2016-08-14 22:40 UTC, lightside
no flags Details
The x11-wm/fluxbox-devel port in shar archive (5.75 KB, text/plain)
2016-08-25 18:19 UTC, lightside
no flags Details
The x11-wm/fluxbox-devel port in shar archive (5.88 KB, text/plain)
2016-08-25 18:48 UTC, lightside
no flags Details
Proposed patch (since 412351 revision) (19.14 KB, patch)
2016-08-25 20:28 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-08-13 17:18:01 UTC
Created attachment 173634 [details]
Proposed patch (since 412351 revision)

Patch to improve x11-wm/fluxbox port v1.3.7.

- Bump PORTREVISION
- Remove DISTFILES variable
- Add LICENSE_FILE for MIT license
- Add proxy dependencies to LIB_DEPENDS and USE_XORG
- Remove WANT_GNOME and GNOME option [1]
- Add PORTDATA variable
- Use new options helpers and remove bsd.port.options.mk include
- Fix patch for disabled NLS option
- Simplify docs installation
- Change sed patch for util/fbsetbg and regenerate files/patch-util_fbsetbg
- Adapt pkg-plist

[1] - http://git.fluxbox.org/fluxbox.git/commit/?id=a2558a2b14054058342d9946deefd7c72dc2d887

Tested with using poudriere on FreeBSD 9.3 amd64 and native build on FreeBSD 10.2 amd64.
Comment 1 lightside 2016-08-13 17:21:08 UTC
Created attachment 173635 [details]
The x11-wm/fluxbox-devel port in archive

Also I attached x11-wm/fluxbox-devel port with development version, based on following Git commit:
http://git.fluxbox.org/fluxbox.git/commit/?id=50b6102bbf998fc1d8393d4d48bf9507c359a9b9

I replaced static patches with sed patches for easy updates, but didn't add following lines for util/fluxbox-generate_menu.in file:
-8<--
+    linux-opera) append "[exec] (linux-opera) {env QT_XFT=true linux-opera}" ;;
...
+        find_it linux-opera append "[exec]   (linux-opera) {env QT_XFT=true opera}"
-->8-
because didn't find how to properly add new line(s) with using sed from Makefile.

Such a port existed in FreeBSD ports:
http://www.freshports.org/x11-wm/fluxbox-devel

I don't propose it, but it might be used to test new fixes and features of development version, if someone finds this interesting.
Comment 2 lightside 2016-08-14 11:17:21 UTC
Created attachment 173660 [details]
Proposed patch (since 412351 revision)

Added fix for files/patch-util__fluxbox-generate_menu.in patch:
-8<--
-+        find_it linux-opera append "[exec]   (linux-opera) {env QT_XFT=true opera}"
++        find_it linux-opera append "[exec]   (linux-opera) {env QT_XFT=true linux-opera}"
-->8-

The pkg-descr might be clarified also (e.g. about Gnome support).
Comment 3 lightside 2016-08-14 11:21:45 UTC
Created attachment 173661 [details]
The x11-wm/fluxbox-devel port in archive

(In reply to comment #1)
> because didn't find how to properly add new line(s) with using sed from
> Makefile.
I found how to do this. There is a .newline variable for Makefile.
Comment 4 lightside 2016-08-14 22:14:35 UTC
Created attachment 173679 [details]
Proposed patch (since 412351 revision)

(In reply to comment #0)
> - Remove DISTFILES variable
Returned DISTFILES variable, which is correct.
Comment 5 lightside 2016-08-14 22:33:20 UTC
Created attachment 173682 [details]
The x11-wm/fluxbox-devel port in shar archive
Comment 6 lightside 2016-08-14 22:40:04 UTC
Created attachment 173683 [details]
The x11-wm/fluxbox-devel port in shar archive

Cosmetic fixes.
Comment 7 Jason Helfman freebsd_committer 2016-08-25 15:33:09 UTC
It is noted that there is a fluxbox-devel port? Can you please detail out the origin of this port?
Comment 8 lightside 2016-08-25 18:12:02 UTC
(In reply to comment #7)
> It is noted that there is a fluxbox-devel port?
Yes, I created x11-wm/fluxbox-devel port, based on current x11-wm/fluxbox port, with using development source for MASTER_SITES:
http://git.fluxbox.org/fluxbox.git

(In reply to comment #7)
> Can you please detail out the origin of this port?
Did you mean about $FreeBSD$ string, where x11-wm/fluxbox noted currently? I just didn't change it.
Or about where is it from? The x11-wm/fluxbox-devel has been merged into x11-wm/fluxbox and removed in ports r187729, according to svn logs. Previous revision:
https://svnweb.freebsd.org/ports/head/x11-wm/fluxbox-devel/?pathrev=187728
Comment 9 lightside 2016-08-25 18:19:24 UTC
Created attachment 174071 [details]
The x11-wm/fluxbox-devel port in shar archive

Fixed WWW for pkg-descr.
Cleared $FreeBSD$ line.
I'm not sure about "Created by:" line, because there was such a port before.
Comment 10 lightside 2016-08-25 18:48:41 UTC
Created attachment 174073 [details]
The x11-wm/fluxbox-devel port in shar archive

Added ".ifmake makesum" to "always include optional distfiles", when using `make makesum` command. This was proposed in bug 209742 comment #85 (attachment #173976 [details]) by Jan Beich for devel/godot port.

To Jason Helfman:
If you want, I can propose the same for x11-wm/fluxbox port.
Comment 11 Jason Helfman freebsd_committer 2016-08-25 19:54:01 UTC
Thank you for all of your work, however this is very confusing.

If you are making changes to x11-wm/fluxbox, please submit a diff.

If you are proposing a new port, please create a new pr with the shar attached, with a description of the port. 

If you are proposing changes to a port no longer in the tree, please check out the revision prior to the deletion. Apply your changes, and submit a diff.

Please adjust this pr as appropriate.
Comment 12 lightside 2016-08-25 20:06:51 UTC
(In reply to comment #11)
> If you are making changes to x11-wm/fluxbox, please submit a diff.
The current diff in attachment #173679 [details].

(In reply to comment #11)
> If you are proposing a new port, please create a new pr with the shar
> attached, with a description of the port. 
> 
> If you are proposing changes to a port no longer in the tree, please check
> out the revision prior to the deletion. Apply your changes, and submit a diff
I didn't propose it, as I said in comment #1:
> I don't propose it, but it might be used to test new fixes and features of
> development version, if someone finds this interesting.

(In reply to comment #11)
> Please adjust this pr as appropriate.
The current summary says it all:
"x11-wm/fluxbox: Improve port (v1.3.7)"
Comment 13 lightside 2016-08-25 20:07:35 UTC
Comment on attachment 174073 [details]
The x11-wm/fluxbox-devel port in shar archive

(In reply to comment #11)
> Thank you for all of your work, however this is very confusing.
I obsoleted attachment #174073 [details] to not confuse you, then.
Comment 14 lightside 2016-08-25 20:28:23 UTC
Created attachment 174077 [details]
Proposed patch (since 412351 revision)

(In reply to comment #0)
> - Change sed patch for util/fbsetbg and regenerate files/patch-util_fbsetbg
Actually, no need to apply this part, if it exists already.
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-26 06:58:25 UTC
@Jason Please note that by re-assigning this issue to the pool you are providing implicit (maintainer) approval for any changes that result from it. If that is unintended, please re-assign yourself

Ignoring the mention of a new port (fluxbox-devel), these changes also come under blanket approval for port infrastructure/framework modernization with implicit approval.
Comment 16 Jason Helfman freebsd_committer 2016-08-26 15:12:21 UTC
(In reply to Kubilay Kocak from comment #15)

>@Jason Please note that by re-assigning this issue to the pool you are providing >implicit (maintainer) approval for any changes that result from it. If that is >unintended, please re-assign yourself

It was intentional until there was some clarification, and the changes were reasonable enough that I did not hold a strong opinion on the technical changes.

>Ignoring the mention of a new port (fluxbox-devel), these changes also come >under blanket approval for port infrastructure/framework modernization with >implicit approval.

I didn't ignore any changes. I merely requested proper process be adhered to for resurrection of a deleted port. This was a port modification that is no longer in the tree. I was requesting a diff on the oldest revision of that port, in favor of a shar being attached.  So for this one port, there were two items attached.  A shar for a completely different port, and a diff for the actual port.
Comment 17 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-26 15:19:36 UTC
(In reply to Jason Helfman from comment #16)

Thanks for taking this again Jason. I didn't mean you ignored the changes, I meant 'if we ignore the mention of the -devel port ...'

I have clarified with the reporter offline that separate issues should be created for each port unless those changes are must be committed together
Comment 18 lightside 2016-08-27 02:45:53 UTC
(In reply to comment #16)
> I merely requested proper process be adhered to for resurrection of a deleted
> port. This was a port modification that is no longer in the tree.
Honestly to say, I can create separate PR for x11-wm/fluxbox-devel port. But this may create a question about MAINTAINER section, where mezz@ was assigned. And I'm not in position to be maintainer of such a port.
Purpose of shar (it was tar.bz2 at first) was different - just to show it "to test new fixes and features of development version" (or even use), see comment #1.
The removal of x11-wm/fluxbox-devel was "Request by:     too many to list (include developers)", according to ports r187729. This is second reason why I didn't propose to resurrect it. While it wasn't bad, in my opinion, to attach -devel version (and this was my version of it, not related to previous deleted port).

(In reply to comment #16)
> I was requesting a diff on the oldest revision of that port, in favor of a
> shar being attached.
I sent a diff to your email address for review. Possible to propose some of its changes for x11-wm/fluxbox port also, at your discretion.
Comment 19 lightside 2016-08-30 06:01:06 UTC
To Jason Helfman:
I sent a diff to your email address for x11/fluxbox-devel port, which uses following GitHub mirror:
https://github.com/fluxbox/fluxbox
Comment 20 Jason Helfman freebsd_committer 2016-09-02 18:01:12 UTC
What is your reasoning from removing GNOME from this port?  I haven't built it, yet, however the changes look reasonable. Thanks for your work on this!

-jgh
Comment 21 lightside 2016-09-02 18:28:10 UTC
(In reply to comment #20)
> What is your reasoning from removing GNOME from this port?
The "gnome" configure option was removed about 6 years ago, as I mentioned in reference link for comment #0:
http://git.fluxbox.org/fluxbox.git/commit/?id=a2558a2b14054058342d9946deefd7c72dc2d887
There is no usage of libgnome in current Fluxbox.

Also, the WANT_GNOME (decommission) mentioned for x11-wm/fluxbox port on the following page:
https://wiki.freebsd.org/Gnome
Comment 22 lightside 2016-09-02 18:30:05 UTC
(In reply to comment #21)
> about 6 years ago
about 5 years ago, if this matters.
Comment 23 Jason Helfman freebsd_committer 2016-09-02 20:46:25 UTC
On a side note, do you know why the documentation (html/pdf) are so old? I can't imagine that the documentation hasn't been updated in 10 years.
Comment 24 lightside 2016-09-02 21:19:12 UTC
(In reply to comment #23)
> On a side note, do you know why the documentation (html/pdf) are so old?
The MASTER_SITES for DOCHTML and PDFDOCS options points to some location of previous (mezz@) maintainer.
I found some link for fluxbook.pdf, but it's not versioned:
http://fluxbox.sourceforge.net/docbook/en/pdf/fluxbook.pdf

Probably, they were auto-generated:
http://git.fluxbox.org/fluxbox.git/tree/doc/asciidoc
https://github.com/fluxbox/fluxbox/tree/master/doc/asciidoc
Comment 25 Jason Helfman freebsd_committer 2016-09-02 21:44:11 UTC
Looks like they are here, and more recent, now.
http://fluxbox.sourceforge.net/docbook.php
Comment 26 Jason Helfman freebsd_committer 2016-09-02 22:41:37 UTC
I've sent a query upstream requesting the downloadable documentation be set to a version number, or a build number, so downstream vendors can more easily track upstream changes as we do currently for software. If that is in place, at some point, we can drop the internal distribution of documentation packages.
Comment 27 Jason Helfman freebsd_committer 2016-09-02 22:55:12 UTC
This built and tested without issue on my local machine. I will queue this up tonight to test a build.

On another note, I am thinking of turning XINERAMA on by default.

Thoughts?
Comment 28 lightside 2016-09-03 08:35:26 UTC
(In reply to comment #25)
> Looks like they are here, and more recent, now.
> http://fluxbox.sourceforge.net/docbook.php
Great.

(In reply to comment #27)
> On another note, I am thinking of turning XINERAMA on by default.
> 
> Thoughts?
I don't have multi-monitor setup to test such kind of configuration. I tried to build fluxbox(-devel) port with using XINERAMA option and it works.
In other words, "every stick has two ends" - there are users who may need XINERAMA option and vise versa. Maybe, this is why it's optional. So, this is on your discretion.
Comment 29 Jason Helfman freebsd_committer 2016-09-07 22:41:28 UTC
This is going through a test build now.
Comment 30 commit-hook freebsd_committer 2016-09-08 20:07:46 UTC
A commit references this bug:

Author: jgh
Date: Thu Sep  8 20:07:20 UTC 2016
New revision: 421576
URL: https://svnweb.freebsd.org/changeset/ports/421576

Log:
  - Bump PORTREVISION
  - Remove DISTFILES variable
  - Add LICENSE_FILE for MIT license
  - Add proxy dependencies to LIB_DEPENDS and USE_XORG
  - Remove WANT_GNOME and GNOME option [1]
  - Add PORTDATA variable
  - Use new options helpers and remove bsd.port.options.mk include
  - Fix patch for disabled NLS option
  - Simplify docs installation
  - Change sed patch for util/fbsetbg and regenerate files/patch-util_fbsetbg
  - Adapt pkg-plist
  - adjust pkg-descr while here

  [1] http://git.fluxbox.org/fluxbox.git/commit/?id=a2558a2b14054058342d9946deefd7c72dc2d887

  PR:		211814
  Submitted by:	lightside@gmx.com

Changes:
  head/x11-wm/fluxbox/Makefile
  head/x11-wm/fluxbox/files/patch-util__fluxbox-generate_menu.in
  head/x11-wm/fluxbox/pkg-descr
  head/x11-wm/fluxbox/pkg-plist
Comment 31 Jason Helfman freebsd_committer 2016-09-08 20:08:17 UTC
Thanks for all of your hard work on this PR! I've just now committed it!
Comment 32 lightside 2016-09-09 00:02:36 UTC
To Jason Helfman:
Thanks for review and commit. I think, you may close this PR.
Comment 33 lightside 2016-09-09 18:16:40 UTC
To Jason Helfman:
I created bug 212530 to revive x11-wm/fluxbox-devel port.

This PR is closed.